#ifndef IOFH_H
#define IOFH_H
/*
   Definitions for common I/O file header information 
   ==================================================

   Copyright  (C) 1995-2000 M.Kraemer, GSI Darmstadt 
                             all rights reserved   

   $Log: iofh.h,v $
   Revision 1.1  1999/07/17 16:18:55  kraemer
   major overhaul of edas/goosy buffer and swap logic


*/


#include "u.h"

#define IOFH_DEBUG      0x80000000    /* general check flag */

                                      /* */
struct SIOFH {
   unsigned long ulFlag;
   int iFileNo;
   char *pcLabel;
   char *pcFile;
   char *pcUser;
   char *pcDate;
   char *pcTime;
   char *pcRun;
   char *pcExp;
   char *pcCom;
};

                                      /* function prototypes */
int _iofhList   ( struct SIOFH *, unsigned long );
int _iofhFree   ( struct SIOFH *, unsigned long );
int _iofhInit   ( struct SIOFH *, unsigned long );

#endif
